%define upstream_name		MusicBrainz-DiscID
%define upstream_version	0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Perl interface for the MusicBrainz libdiscid library
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MusicBrainz/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-MusicBrainz-DiscID-0.03-url.patch
Patch1:		stack-corruption-discid_put.patch

BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libdiscid)

%description
MusicBrainz::DiscID is a class to calculate a MusicBrainz DiscID from an
audio CD in the drive. The coding style is slightly different to the C
interface to libdiscid, because it makes use of perl's Object Oriented
functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue May 31 2016 pterjan <pterjan> 0.30.0-11.mga6
+ Revision: 1019634
- Add Debian patch fixing some stack smashing

* Thu Feb 18 2016 umeabot <umeabot> 0.30.0-10.mga6
+ Revision: 966465
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-9.mga6
+ Revision: 845039
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.30.0-8.mga6
+ Revision: 842556
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-7.mga5
+ Revision: 746054
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 685610
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-5.mga5
+ Revision: 631454
- Rebuild for perl 5.20

* Fri Dec 20 2013 sander85 <sander85> 0.30.0-4.mga4
+ Revision: 559304
- Fix build (patch from Debian)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-3.mga4
+ Revision: 430900
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 370425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 28 2012 wally <wally> 0.30.0-1.mga3
+ Revision: 264696
- import pkg (.spec generated with cpan2dist)

